#include "ubl-settings-diskquota.h"
#include "ubl-strings.h"
#include "view_set_disk.h"
char *local;

int main(int argc, char *argv[]);
void load_global_cfg();
void load_system_cfg();
void control_event(main_window* _config_main_gui, custom_window* _config_custom_gui);
void wrapper_all_save();
void wrapper_global_save();
void wrapper_system_save();
int fill_tree_view_project(config_all* all_config, hotebook* widget, char* str_fill , int flag_gui_add);
void entry_user_disk(GtkWidget *self,int* flag_update);
void entry_groups_disk(GtkWidget *self,int* flag_update);
void entry_project_disk(GtkWidget *self,int* flag_update);
void wrapper_add_user_show();
void wrapper_edit_user_show();
void wrapper_add_group_show();
void wrapper_edit_group_show();
void wrapper_add_project_show();
void wrapper_edit_project_show();
void wrapper_filters_user_show();
void wrapper_filters_group_show();
void wrapper_filters_project_show();
void wrapper_get_spin_time_gui_user();
void wrapper_get_spin_time_gui_group();
void wrapper_get_spin_time_gui_project();
void tree_view_select_user(GtkWidget* self);
void tree_view_select_group(GtkWidget* self);
void tree_view_select_project(GtkWidget* self);
void tree_view_select_device(GtkWidget* self);
void get_spin_time_gui(vector* vec_u_g_p, hotebook* widgets);
void tree_view_select(GtkWidget* self, vector* vec_temp, hotebook* widgets);
void block_spin_time(hotebook* widgets,void (*f)());
void unlock_spin_time(hotebook* widgets,void (*f)());
void template_set_status_disk(GtkWidget* self, hotebook* widgets);
void get_status_disk(hotebook* widgets);
